using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Library
{
    public partial class Form1 : Form
    {

        DataAccess da = new DataAccess();
        public Form1()
        {
            InitializeComponent();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (txtuser.Text == "")
            {
                MessageBox.Show("لطفا نام کاربری را وارد نمائید","",MessageBoxButtons.OK,MessageBoxIcon.Error);
                return;
            }
            if (txtpass.Text == "")
            {
                MessageBox.Show("لطفا رمز عبور را وارد نمائید", "", MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;
            }
            da.Connect();
            string sql = "select * from member where muser = '{0}'";
            sql = string.Format(sql,txtuser.Text);
            DataTable dt = new DataTable();
            dt = da.Select(sql);
            if (dt.Rows.Count == 1)
            {
                if (dt.Rows[0]["mpass"].ToString() == txtpass.Text)
                {
                    FormMain fe = new FormMain();
                    this.Hide();
                    fe.Show();
                }
                else
                {
                    MessageBox.Show("رمز عبور شما صحیح نمی باشد","پیام خطا",MessageBoxButtons.OK,MessageBoxIcon.Error);
                }
            }
            else
            {
                MessageBox.Show("نام کاربری شما صحیح نمی باشد", "پیام خطا", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            da.DisConnect();
        }
    }
}
